%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[
	a4paper, % Page size
	fontsize=10pt, % Base font size
	twoside=true, % Use different layouts for even and odd pages (in particular, if twoside=true, the margin column will be always on the outside)
	%open=any, % If twoside=true, uncomment this to force new chapters to start on any page, not only on right (odd) pages
	%chapterentrydots=true, % Uncomment to output dots from the chapter name to the page number in the table of contents
	numbers=noenddot, % Comment to output dots after chapter numbers; the most common values for this option are: enddot, noenddot and auto (see the KOMAScript documentation for an in-depth explanation)
]{kaobook}

\usepackage{mathtools} % For \coloneqq and \eqqcolon
\usepackage{stmaryrd} % For \llbracket and \rrbracket

% For truth tables
\usepackage{array}
\usepackage{arydshln}

% For piecewise functions
\usepackage{amsmath}

% For tables
\usepackage{tabularx}

% For self-explanatory reasons
\usepackage{indentfirst}

\usepackage[scr=boondox]{mathalpha}

%%hdashline
\setlength\dashlinedash{0.2pt}
\setlength\dashlinegap{1.5pt}
\setlength\arrayrulewidth{0.3pt}
% big thanks to TeX Stack Exchange user voices (user 165801, https://tex.stackexchange.com/users/165801/voices?tab=profile)
% for greatly simplifying the code for beautiful truth tables

% Choose the language
\usepackage[french]{babel} % Load characters and hyphenation

% Load mathematical packages for theorems and related environments
\usepackage[framed=true]{kaotheorems}

% Load the package for hyperreferences
\usepackage{kaorefs}

% Load the bibliography package
\usepackage{kaobiblio}
\addbibresource{analyse/main.bib} % Bibliography file

% Load my .sty files
% \usepackage[framed=true]{cake}
\usepackage{macros}


%----------------------------------------------------------------------------------------

\begin{document}

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS & LIST OF FIGURES/TABLES
%----------------------------------------------------------------------------------------

\begingroup % Local scope for the following commands

% Define the style for the TOC, LOF, and LOT
%\setstretch{1} % Uncomment to modify line spacing in the ToC
%\hypersetup{linkcolor=blue} % Uncomment to set the colour of links in the ToC
\setlength{\textheight}{230\hscale} % Manually adjust the height of the ToC pages

% Turn on compatibility mode for the etoc package
\etocstandarddisplaystyle % "toc display" as if etoc was not loaded
\etocstandardlines % "toc lines" as if etoc was not loaded

\tableofcontents % Output the table of contents

\endgroup

%----------------------------------------------------------------------------------------
%	MAIN BODY
%----------------------------------------------------------------------------------------

\mainmatter % Denotes the start of the main document content, resets page numbering and uses arabic numbers
\setchapterstyle{kao} % Choose the default chapter heading style

\input{analyse/sections/series.tex}
\input{analyse/sections/esp-metriques.tex}
\input{analyse/sections/edo.tex}
\input{analyse/sections/fcts.tex}
\input{analyse/sections/integrales.tex}

\pagelayout{wide}
\addpart{Séries}
\pagelayout{margin}

\input{analyse/sections/exercices/serie1.tex}
\input{analyse/sections/exercices/serie2.tex}
\input{analyse/sections/exercices/serie3.tex}
\input{analyse/sections/exercices/serie4.tex}
\input{analyse/sections/exercices/serie5.tex}
\input{analyse/sections/exercices/serie6.tex}
\input{analyse/sections/exercices/serie7.tex}
\input{analyse/sections/exercices/serie8.tex}
\input{analyse/sections/exercices/serie11.tex}


%----------------------------------------------------------------------------------------
%	BIBLIOGRAPHY
%----------------------------------------------------------------------------------------

\defbibnote{bibnote}{Apparaissent ci-dessous les rérérence dans l'ordre de citation.\par\bigskip} % Prepend this text to the bibliography
\printbibliography[heading=bibintoc, title=Bibliography, prenote=bibnote] % Add the bibliography heading to the ToC, set the title of the bibliography and output the bibliography note


\end{document}

